#!/bin/bash
cd "$(dirname "${BASH_SOURCE[0]}")"

component=MagicYUV.component
vlcplugin=libmagicyuv_plugin.dylib

# QT
echo "************************************"
echo "Uninstalling QuickTime component..."
echo "************************************"
sudo -p "Enter your password: " rm -rfv /Library/QuickTime/$component
rm -rfv ~/Library/QuickTime/$component

# VLC
echo "**************************"
echo "Uninstalling VLC plugin..."
echo "**************************"
rm -fv /Applications/VLC.app/Contents/MacOS/plugins/$vlcplugin
rm -fv ~/Applications/VLC.app/Contents/MacOS/plugins/$vlcplugin

# Adobe
echo "*****************************"
echo "Uninstalling Adobe plugins..."
echo "*****************************"
rm -rfv '/Library/Application Support/Adobe/Common/Plug-ins/7.0/MediaCore/ExporterMagicYUV.bundle'
rm -rfv '/Library/Application Support/Adobe/Common/Plug-ins/7.0/MediaCore/ImporterMagicYUV.bundle'
